Skip to main content
POST
/
v1
/
ramp
/
recipients
/
{id}
/
onramp-accounts
Create On-Ramp Account
curl --request POST \
  --url https://api.example.com/v1/ramp/recipients/{id}/onramp-accounts
Endpoint: POST https://api.rebelfi.io/v1/ramp/recipients/{id}/onramp-accounts
Create a virtual bank account for a recipient to receive on-ramp deposits. The recipient must have completed KYB verification before an on-ramp account can be created.

Path Parameters

FieldTypeRequiredDescription
idintegerYesRecipient ID

Request Body

FieldTypeRequiredDescription
destination_wallet_idintegerYesID of the wallet to receive funds
destination_assetstringNoAsset to deliver (default: "USDC")
railstringNoPayment rail (default: "ach" — options: ach, fedwire, swift)

Example Request

curl -X POST "https://api.rebelfi.io/v1/ramp/recipients/1/onramp-accounts" \
  -H "x-api-key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "destination_wallet_id": 42,
    "destination_asset": "USDC",
    "rail": "ach"
  }'

Example Response

{
  "id": 1,
  "account_number": "12345678",
  "routing_number": "987654321",
  "bank_name": "Lead Bank",
  "capabilities": ["ach"],
  "status": "active",
  "destination_asset": "USDC",
  "network_id": "solana-mainnet",
  "destination_wallet": {
    "id": 42,
    "name": "Main Wallet",
    "address": "7xKX...abc",
    "network": "solana-mainnet"
  }
}

Response Fields

FieldTypeDescription
idnumberOn-ramp account identifier
account_numberstringVirtual bank account number
routing_numberstringBank routing number
bank_namestringName of the issuing bank
capabilitiesstring[]Supported payment rails
statusstringAccount status (active)
destination_assetstringAsset to be delivered
network_idstringBlockchain network identifier
destination_walletobjectDestination wallet details
destination_wallet.idnumberWallet ID
destination_wallet.namestringWallet name
destination_wallet.addressstringWallet address
destination_wallet.networkstringWallet network